
QGIS Application - Bug report #11331

Hidden Group legend items still occupies space in the legend

2014-10-05 03:18 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19625

Description

The current master made possible to show map canvas layer groups in the legend (nice!). But if you want to hide the group title it still

occupies space in the legend. To remove that space one needs to remove the group item entirely, but if you want to keep it's layers you

need to take them out of the group by drag and drop before removing the group layer, otherwise they all disappear.

No sure if this is intended or not. This is quite boring to do if you have lots of layers grouped just for data organization only, and don't what

to see the groups in the composer legend.

Since this is a new feature and I have marked it as blocker.

To replicate, just had some layers, create a group from some of them and put it in bellow the other not grouped layers. After that, create a

legend in the composer and choose Hidden for the group item.

See the attached images.

Associated revisions

Revision 0c7bc40d - 2014-10-20 10:56 AM - Martin Dobias

Fix #11331 (hidden group still occupies space in composer legend)

History

#1 - 2014-10-20 01:57 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"0c7bc40d65ae6bef285ba69ca9ff9816e59f00b1".
